import request from '@/utils/request'

// 查询地井盖列表
export function listCover(query) {
  return request({
    url: '/dev/cover/list',
    method: 'get',
    params: query
  })
}

// 查询地井盖详细
export function getCover(id) {
  return request({
    url: '/dev/cover/' + id,
    method: 'get'
  })
}

// 新增地井盖
export function addCover(data) {
  return request({
    url: '/dev/cover',
    method: 'post',
    data: data
  })
}

// 修改地井盖
export function updateCover(data) {
  return request({
    url: '/dev/cover',
    method: 'put',
    data: data
  })
}

// 删除地井盖
export function delCover(id) {
  return request({
    url: '/dev/cover/' + id,
    method: 'delete'
  })
}
